%global realname luwak
%global upstream basho
%global debug_package %{nil}
%global git_tag f2577bf
%global patchnumber 0


Name:		erlang-%{realname}
Version:	1.1.3
Release:	1%{?dist}
Summary:	Large-object storage interface for Riak
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/basho/luwak
# wget --content-disposition https://github.com/basho/luwak/tarball/luwak-1.1.3
Source0:	%{upstream}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
Patch1:		erlang-luwak-0001-Don-t-check-for-deps-Fedora-EPEL-specific.patch
Patch2:		erlang-luwak-0002-Fix-include-path-for-riak_kv-headers-Fedora-EPEL-spe.patch
BuildRequires:	erlang-erts
BuildRequires:	erlang-rebar
BuildRequires:	erlang-riak_kv
BuildRequires:	erlang-skerl
BuildRequires:	erlang-webmachine
Requires: erlang-crypto%{?_isa}
# Error:erlang(erlang:atom_to_binary/2) in R12B and below
Requires: erlang-erts%{?_isa} >= R13B
Requires: erlang-kernel%{?_isa}
Requires: erlang-luke%{?_isa}
Requires: erlang-mochiweb%{?_isa}
Requires: erlang-riak_core%{?_isa}
Requires: erlang-riak_kv%{?_isa}
Requires: erlang-skerl%{?_isa}
Requires: erlang-stdlib%{?_isa}
Requires: erlang-webmachine%{?_isa}


%description
Large-object storage interface for Riak.


%prep
%setup -q -n %{upstream}-%{realname}-11c6845
%patch1 -p1 -b .nodeps
%patch2 -p1 -b .fix_include
rm doc/doc/edoc-info


%build
rebar compile -v


%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,include}
install -p -m 0644 ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -p -m 0644 ebin/%{realname}_*.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 0644 include/%{realname}.hrl %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/include


%check
rebar eunit -v || true


%files
%doc doc/* README.mdown
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/%{realname}.hrl


%changelog
* Thu Jul 19 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.3-1
- Ver. 1.1.3

* Sat Jan 22 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.0.0-1
- Ver. 1.0.0

* Fri Nov 12 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.1.20101112gitb24f821
- Initial build

